### Method

# Ide ApplicationAddin activate

#### Declaration

    void
    ide_application_addin_activate (
      IdeApplicationAddin* self,
      IdeApplication* application
    )

#### Description

This function is activated when the GApplication::activate signal is emitted.

Available since: | 3.32

#### Parameters

`application` | `IdeApplication`
| An #ideApplication.
| The data is owned by the caller of the function.